CVE-2019-9895

In PuTTY versions before 0.71 on Unix, a remotely triggerable buffer overflow exists in any kind of server-to-client forwarding.

Published : 2019-03-21 16:01 Updated : 2019-03-21 18:14

7.5
CVSS Score More info
Score 7.5 / 10
7.5
Vendor Product Version URI
Putty Putty - cpe:/a:putty:putty:-
Putty Putty 0.45 cpe:/a:putty:putty:0.45
Putty Putty 0.46 cpe:/a:putty:putty:0.46
Putty Putty 0.47 cpe:/a:putty:putty:0.47
Putty Putty 0.48 cpe:/a:putty:putty:0.48
Putty Putty 0.49 cpe:/a:putty:putty:0.49
Putty Putty 0.50 cpe:/a:putty:putty:0.50
Putty Putty 0.51 cpe:/a:putty:putty:0.51
Putty Putty 0.52 cpe:/a:putty:putty:0.52
Putty Putty 0.53 cpe:/a:putty:putty:0.53
Putty Putty 0.53b cpe:/a:putty:putty:0.53b
Putty Putty 0.54 cpe:/a:putty:putty:0.54
Putty Putty 0.55 cpe:/a:putty:putty:0.55
Putty Putty 0.56 cpe:/a:putty:putty:0.56
Putty Putty 0.57 cpe:/a:putty:putty:0.57
Putty Putty 0.58 cpe:/a:putty:putty:0.58
Putty Putty 0.59 cpe:/a:putty:putty:0.59
Putty Putty 0.60 cpe:/a:putty:putty:0.60
Putty Putty 0.61 cpe:/a:putty:putty:0.61
Putty Putty 0.62 cpe:/a:putty:putty:0.62
Putty Putty 0.63 cpe:/a:putty:putty:0.63
Putty Putty 0.65 cpe:/a:putty:putty:0.65
Putty Putty 0.66 cpe:/a:putty:putty:0.66
Putty Putty 0.67 cpe:/a:putty:putty:0.67
Putty Putty 0.68 cpe:/a:putty:putty:0.68
Putty Putty 0.69 cpe:/a:putty:putty:0.69
Putty Putty 0.70 cpe:/a:putty:putty:0.70
  1. Putty (1) Search CVE
    1. Putty (27) Search CVE
      1. -
      2. 0.45
      3. 0.46
      4. 0.47
      5. 0.48
      6. 0.49
      7. 0.50
      8. 0.51
      9. 0.52
      10. 0.53
      11. 0.53b
      12. 0.54
      13. 0.55
      14. 0.56
      15. 0.57
      16. 0.58
      17. 0.59
      18. 0.60
      19. 0.61
      20. 0.62
      21. 0.63
      22. 0.65
      23. 0.66
      24. 0.67
      25. 0.68
      26. 0.69
      27. 0.70

CWE

ID Name Description Links
CWE-119 Improper Restriction of Operations within the Bounds of a Memory Buffer The software performs operations on a memory buffer, but it can read from or write to a memory location that is outside of the intended boundary of the buffer. CVE

History of changes

Date Event
2019-03-21 18:14
2019-03-21 16:01

New CVE